Package org.kapott.hbci.sepa.jaxb.camt_052_001_06

# Class TransactionReferences3

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_06.TransactionReferences3

public class TransactionReferences3 extends Object

Java class for TransactionReferences3 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TransactionReferences3">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="MsgId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}Max35Text" minOccurs="0"/>
             <element name="AcctSvcrRef" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}Max35Text" minOccurs="0"/>
             <element name="PmtInfId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}Max35Text" minOccurs="0"/>
             <element name="InstrId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}Max35Text" minOccurs="0"/>
             <element name="EndToEndId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}Max35Text" minOccurs="0"/>
             <element name="TxId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}Max35Text" minOccurs="0"/>
             <element name="MndtId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}Max35Text" minOccurs="0"/>
             <element name="ChqNb" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}Max35Text" minOccurs="0"/>
             <element name="ClrSysRef" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}Max35Text" minOccurs="0"/>
             <element name="AcctOwnrTxId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}Max35Text" minOccurs="0"/>
             <element name="AcctSvcrTxId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}Max35Text" minOccurs="0"/>
             <element name="MktInfrstrctrTxId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}Max35Text" minOccurs="0"/>
             <element name="PrcgId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}Max35Text" minOccurs="0"/>
             <element name="Prtry" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}ProprietaryReference1" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`acctOwnrTxId`
`protected String`
`acctSvcrRef`
`protected String`
`acctSvcrTxId`
`protected String`
`chqNb`
`protected String`
`clrSysRef`
`protected String`
`endToEndId`
`protected String`
`instrId`
`protected String`
`mktInfrstrctrTxId`
`protected String`
`mndtId`
`protected String`
`msgId`
`protected String`
`pmtInfId`
`protected String`
`prcgId`
`protected List<ProprietaryReference1>`
`prtry`
`protected String`
`txId`

## Constructor Summary

Constructors
Constructor
Description
`TransactionReferences3()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAcctOwnrTxId()`
Gets the value of the acctOwnrTxId property.
`String`
`getAcctSvcrRef()`
Gets the value of the acctSvcrRef property.
`String`
`getAcctSvcrTxId()`
Gets the value of the acctSvcrTxId property.
`String`
`getChqNb()`
Gets the value of the chqNb property.
`String`
`getClrSysRef()`
Gets the value of the clrSysRef property.
`String`
`getEndToEndId()`
Gets the value of the endToEndId property.
`String`
`getInstrId()`
Gets the value of the instrId property.
`String`
`getMktInfrstrctrTxId()`
Gets the value of the mktInfrstrctrTxId property.
`String`
`getMndtId()`
Gets the value of the mndtId property.
`String`
`getMsgId()`
Gets the value of the msgId property.
`String`
`getPmtInfId()`
Gets the value of the pmtInfId property.
`String`
`getPrcgId()`
Gets the value of the prcgId property.
`List<ProprietaryReference1>`
`getPrtry()`
Gets the value of the prtry property.
`String`
`getTxId()`
Gets the value of the txId property.
`void`
`setAcctOwnrTxId(String value)`
Sets the value of the acctOwnrTxId property.
`void`
`setAcctSvcrRef(String value)`
Sets the value of the acctSvcrRef property.
`void`
`setAcctSvcrTxId(String value)`
Sets the value of the acctSvcrTxId property.
`void`
`setChqNb(String value)`
Sets the value of the chqNb property.
`void`
`setClrSysRef(String value)`
Sets the value of the clrSysRef property.
`void`
`setEndToEndId(String value)`
Sets the value of the endToEndId property.
`void`
`setInstrId(String value)`
Sets the value of the instrId property.
`void`
`setMktInfrstrctrTxId(String value)`
Sets the value of the mktInfrstrctrTxId property.
`void`
`setMndtId(String value)`
Sets the value of the mndtId property.
`void`
`setMsgId(String value)`
Sets the value of the msgId property.
`void`
`setPmtInfId(String value)`
Sets the value of the pmtInfId property.
`void`
`setPrcgId(String value)`
Sets the value of the prcgId property.
`void`
`setTxId(String value)`
Sets the value of the txId property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### msgId

protected String msgId

### acctSvcrRef

protected String acctSvcrRef

### pmtInfId

protected String pmtInfId

### instrId

protected String instrId

### endToEndId

protected String endToEndId

### txId

protected String txId

### mndtId

protected String mndtId

### chqNb

protected String chqNb

### clrSysRef

protected String clrSysRef

### acctOwnrTxId

protected String acctOwnrTxId

### acctSvcrTxId

protected String acctSvcrTxId

### mktInfrstrctrTxId

protected String mktInfrstrctrTxId

### prcgId

protected String prcgId

### prtry

protected List<ProprietaryReference1> prtry

## Constructor Details

### TransactionReferences3

public TransactionReferences3()

## Method Details

### getMsgId

public String getMsgId()
Gets the value of the msgId property.

Returns:
  possible object is `String`

### setMsgId

public void setMsgId(String value)
Sets the value of the msgId property.

Parameters:
  `value` - allowed object is `String`

### getAcctSvcrRef

public String getAcctSvcrRef()
Gets the value of the acctSvcrRef property.

Returns:
  possible object is `String`

### setAcctSvcrRef

public void setAcctSvcrRef(String value)
Sets the value of the acctSvcrRef property.

Parameters:
  `value` - allowed object is `String`

### getPmtInfId

public String getPmtInfId()
Gets the value of the pmtInfId property.

Returns:
  possible object is `String`

### setPmtInfId

public void setPmtInfId(String value)
Sets the value of the pmtInfId property.

Parameters:
  `value` - allowed object is `String`

### getInstrId

public String getInstrId()
Gets the value of the instrId property.

Returns:
  possible object is `String`

### setInstrId

public void setInstrId(String value)
Sets the value of the instrId property.

Parameters:
  `value` - allowed object is `String`

### getEndToEndId

public String getEndToEndId()
Gets the value of the endToEndId property.

Returns:
  possible object is `String`

### setEndToEndId

public void setEndToEndId(String value)
Sets the value of the endToEndId property.

Parameters:
  `value` - allowed object is `String`

### getTxId

public String getTxId()
Gets the value of the txId property.

Returns:
  possible object is `String`

### setTxId

public void setTxId(String value)
Sets the value of the txId property.

Parameters:
  `value` - allowed object is `String`

### getMndtId

public String getMndtId()
Gets the value of the mndtId property.

Returns:
  possible object is `String`

### setMndtId

public void setMndtId(String value)
Sets the value of the mndtId property.

Parameters:
  `value` - allowed object is `String`

### getChqNb

public String getChqNb()
Gets the value of the chqNb property.

Returns:
  possible object is `String`

### setChqNb

public void setChqNb(String value)
Sets the value of the chqNb property.

Parameters:
  `value` - allowed object is `String`

### getClrSysRef

public String getClrSysRef()
Gets the value of the clrSysRef property.

Returns:
  possible object is `String`

### setClrSysRef

public void setClrSysRef(String value)
Sets the value of the clrSysRef property.

Parameters:
  `value` - allowed object is `String`

### getAcctOwnrTxId

public String getAcctOwnrTxId()
Gets the value of the acctOwnrTxId property.

Returns:
  possible object is `String`

### setAcctOwnrTxId

public void setAcctOwnrTxId(String value)
Sets the value of the acctOwnrTxId property.

Parameters:
  `value` - allowed object is `String`

### getAcctSvcrTxId

public String getAcctSvcrTxId()
Gets the value of the acctSvcrTxId property.

Returns:
  possible object is `String`

### setAcctSvcrTxId

public void setAcctSvcrTxId(String value)
Sets the value of the acctSvcrTxId property.

Parameters:
  `value` - allowed object is `String`

### getMktInfrstrctrTxId

public String getMktInfrstrctrTxId()
Gets the value of the mktInfrstrctrTxId property.

Returns:
  possible object is `String`

### setMktInfrstrctrTxId

public void setMktInfrstrctrTxId(String value)
Sets the value of the mktInfrstrctrTxId property.

Parameters:
  `value` - allowed object is `String`

### getPrcgId

public String getPrcgId()
Gets the value of the prcgId property.

Returns:
  possible object is `String`

### setPrcgId

public void setPrcgId(String value)
Sets the value of the prcgId property.

Parameters:
  `value` - allowed object is `String`

### getPrtry

public List<ProprietaryReference1> getPrtry()
Gets the value of the prtry property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the prtry property.

For example, to add a new item, do as follows:

        getPrtry().add(newItem);

Objects of the following type(s) are allowed in the list `ProprietaryReference1`